Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157695 - CAN-2005-0448 perl File::Path.pm rmtree race condition
Summary: CAN-2005-0448 perl File::Path.pm rmtree race condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050309,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 20:42 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 5.8.5-14.FC3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-28 13:07:41 UTC


Attachments (Terms of Use)
debian's 03_fix_file_path (deleted)
2005-06-15 18:01 UTC, Petr Rockai
no flags Details | Diff

Description Josh Bressers 2005-05-13 20:42:32 UTC
+++ This bug was initially created as a clone of Bug #157694 +++

Race condition in the rmtree function in File::Path.pm in Perl before 5.8.4
allows local users to create arbitrary setuid binaries in the tree being
deleted, a different vulnerability than CAN-2004-0452.

http://marc.theaimsgroup.com/?l=bugtraq&m=111039131424834&w=2

attachment 114350 [details] contains the ubuntu patch (it needs some cleaning up)

Comment 1 Warren Togami 2005-05-28 06:05:58 UTC
"Race condition in the rmtree function in File::Path.pm in Perl before 5.8.4
allows local users to create arbitrary setuid binaries"

5.8.4 means FC3 is unaffected because we have perl-5.8.5?  Can someone confirm?

Comment 2 Josh Bressers 2005-05-28 12:41:46 UTC
Warren,

I just took a look at the latest perl source, this issue has not been fixed by
upstream.  It's proving very hard to do right, which is probably why upstream
hasn't done it yet.

Comment 3 Warren Togami 2005-05-31 10:40:27 UTC
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=114350
Attachment to fix this security bug is from Ubuntu, but we require help cleaning
it up and testing before issuing a FC3 update.  Apparently this is a difficult
problem to fix, and this is our second attempt doing so. =(


Comment 4 Petr Rockai 2005-06-15 18:01:52 UTC
Created attachment 115494 [details]
debian's 03_fix_file_path

Why not just use the debian patch? (attached)

Comment 5 Petr Rockai 2005-06-16 08:22:45 UTC
Assigning to self. 

Comment 6 Petr Rockai 2005-06-16 12:15:19 UTC
Patched in CVS. Testing requested - if anyone has an exploit or something like 
that, please try out. The testsuite passes exactly like before patching, but 
regression testing is welcome as well. 

Comment 7 Petr Rockai 2005-07-28 13:07:41 UTC
Fixed in FC3 update perl-5.8.5-14.FC3 


Note You need to log in before you can comment on or make changes to this bug.